Canadian Mac Forums at ehMac banner

mlxchange mac

  1. Anything Mac
    Hi I am a realtor having a problem logging onto the oreb.mlxchange.com site, it tells me I need internet explorer 5.5 or greater which I think pertains to PC 's not Macs.The most I can download is 5.1 If anyone can help it would be greatly appreciated. My Mac is a G3, 9.2 OS Thanks
Top